#!/bin/sh
#Create directories if not created.
mkdir -p TestFiles/NUnit.Runners
nuget install Nunit.Runners -OutputDirectory TestFiles/NUnit.Runners

#Build RecrownedGTK and tests.
echo "Building RecrownedGTK..."
nuget restore RecrownedGTK/RecrownedGTK.csproj
msbuild RecrownedGTK/RecrownedGTK.csproj
echo "Building RecrownedGTK.Tests..."
nuget restore RecrownedGTK.Tests/RecrownedGTK.Tests.csproj
msbuild RecrownedGTK.Tests/RecrownedGTK.Tests.csproj

#Build RecrownedGTK.Tools and tests.
echo "Building RecrownedGTK.Tools..."
nuget restore RecrownedGTK.Tools/RecrownedGTK.Tools.csproj
msbuild RecrownedGTK.Tools/RecrownedGTK.Tools.csproj
echo "Building RecrownedGTK.Tools.Tests..."
nuget restore RecrownedGTK.Tools.Tests/RecrownedGTK.Tools.Tests.csproj
msbuild RecrownedGTK.Tools.Tests/RecrownedGTK.Tools.Tests.csproj